aboutsummaryrefslogtreecommitdiffstats
path: root/testing
diff options
context:
space:
mode:
authorMichael Mason <ms13sp@gmail.com>2009-08-26 01:49:49 +0000
committerMichael Mason <ms13sp@gmail.com>2009-08-26 01:49:49 +0000
commiteefb93cb169955b1316b734a4215835a4efa41db (patch)
tree6d693a7b7575475ab7a0927574f391e5119809f9 /testing
parent465faeb58374e6722723f9abad3dc37128dadad0 (diff)
downloadaports-eefb93cb169955b1316b734a4215835a4efa41db.tar.bz2
aports-eefb93cb169955b1316b734a4215835a4efa41db.tar.xz
unstable/knock moved to testing/knock
Diffstat (limited to 'testing')
-rw-r--r--testing/knock/APKBUILD29
1 files changed, 29 insertions, 0 deletions
diff --git a/testing/knock/APKBUILD b/testing/knock/APKBUILD
new file mode 100644
index 0000000000..2827d6bfd0
--- /dev/null
+++ b/testing/knock/APKBUILD
@@ -0,0 +1,29 @@
+# Contributor: Michael Mason <ms13sp@gmail.com>
+# Maintainer: Michael Mason <ms13sp@gmail.com>
+pkgname=knock
+pkgver=0.5
+pkgrel=0
+pkgdesc="A simple port-knocking daemon"
+url="http://www.zeroflux.org/projects/knock"
+license="GPL"
+depends="uclibc iptables libpcap"
+makedepends="libpcap-dev"
+install=
+subpackages="$pkgname-doc"
+source="http://www.zeroflux.org/proj/knock/files/$pkgname-$pkgver.tar.gz"
+
+build() {
+ cd "$srcdir/$pkgname-$pkgver"
+
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info
+ make -j1 || return 1
+ make -j1 DESTDIR="$pkgdir" install
+
+ # install -m755 -D "$srcdir"/$pkgname.initd "$pkgdir"/etc/init.d/$pkgname
+ # install -m644 -D "$srcdir"/$pkgname.confd "$pkgdir"/etc/conf.d/$pkgname
+}
+
+md5sums="ca09d61458974cff90a700aba6120891 knock-0.5.tar.gz"